Documentation Index

Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt

Use this file to discover all available pages before exploring further.

Capturing Field crew timesheets

Prev Next

Time captured in external system and created in CMiC for cost purposes. These can be posted, un-posted, pre-approved.

Step 1: Retrieve the job cost distribution

Find job using company code e.g. compCode=001

?finder=findByKeys;compCode=001

Request

curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjob' \
--header 'Authorization: Your-User:Pass'

Step 2: Retrieve JC Job Phases

Retrieve cost codes related to the selected job using the finder query parameter e.g.

?finder=selectJobPhases;compCode=001,jobCode=00100

Request

curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjobcostcodes' \
--header 'Authorization: Your-User:Pass'

Step 3: Retrieve JC Job Categories

Find job category code for a specific job and cost code using finder e.g.

?finder=selectJobCategory;compCode=001,jobCode=00100,costCode=15100

Request

curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjobcategory' \
--header 'Authorization: Your-User:Pass'

Step 4: Retrieve PY employees

Find job category code for a specific job and cost code using finder e.g.

?finder=selectJobCategory;compCode=001,jobCode=00100,costCode=15100

Request

curl --location --request GET '/hcm-rest-api/rest/1/pyemployee?finder=PyEmployeeFinder;EmpNoVar=006' \
--header 'Authorization: Your-User:Pass'

Step 5: Retrieve PY Unions

Retrieving employee's union information using q parameter. E.g.

?q=UniCode=1644

Request

curl --location --request GET '/hcm-rest-api/rest/1/pyunions' \
--header 'Authorization: Your-User:Pass'

Step 6: Retrieve PY Trades

Retrieving employee's trade information using q parameter. E.g.

?q=TrdCode=U001

Request

curl --location --request GET '/hcm-rest-api/rest/1/pytrades' \
--header 'Authorization: Your-User:Pass'

Step 7: Create PY Crewtime Crews

Request

curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pyctimecrew' \
--header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \
--header 'Authorization: Basic U09MVVRJT05TfHxDTUlDVVNFUjphI2U5Ni05I0Q5QS0zQzJDOS1lM2JiNi0zNiVBNS0jODY4OC1GMSM=' \
--data-raw '{
    "PycrAccessCode": "JACOB",
    "PycrCode": "WETHECREW50",
    "PycrName": "Thebestcrew1",
    "PycrForemanEmpNo": "CCC-WKPR-HR1",
    "PycrResponsibleEmpNo": "CCC-WKPR-HR1",
    "PycrJobCompCode": "CCC",
    "PycrJobCode": "1491214-2",
    "PycrShiftCode": "*",
    "PycrScheduleCode": "AFTERNOON",
    "PycrReqSignoffsignatureFlag": "N",
    "PycrReqForemanSignFlag": "N",
    "PycrRequireInoutTimesFlag": "N",
    "PycrStartDate": "2022-08-01",
    "PycrVUuid": ""
} '
Copyright © 2024 CMiC All Rights Reserved